Name:		clearine
Summary:	Beautiful Logout UI for X11 window manager
Version:	0.7
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
License:	MIT
Packager:   Agent Smith (ruidobranco@yahoo.com.br)
URL:		https://github.com/okitavera/clearine
Group:		Graphical desktop/Other
BuildArch:	noarch
Requires:	python3
Requires:	python3-setuptools
Requires:	python3-gobject3
Requires:	python3-cairo

%description
Beautiful Logout UI for X11 window manager. Inspired from oblogout and Android Oreo's power menu.
in /usr/share/clearine, copy the file clearine.conf to ~/.config/clearine.conf.
The section [command] is already adjusted with commands that work in PCLinuxOS (pm-suspend, pm-hibernate, reboot, power off, lock screen)
What should be configured is the logout command.
In openbox, it must be: openbox --exit
In LXDE, it must be: pkill -SIGTERM -f lxsession
In Mate, it must be: mate-session-save --logout
In XFCE, it must be: xfce4-session-logout --logout

%prep
%setup -q -n %{name}-%{version}


%install
python3 setup.py install --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=gnome-logout
Type=Application
Terminal=false
Name=Clearine
GenericName=Clearine
Comment=%{summary}
StartupNotify=false
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%{_bindir}/%{name}
%{python3_sitelib}/Clearine*
%{_datadir}/clearine/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/themes/Clearine-Fallback/clearine/*.*

%changelog
* Mon Aug 29 2022 TerryN <terryn94 at gmail.com>  0.7-1pclos2022
- fix SPEC
- update and rebuild for python 3.10

* Thu Sep 12 2019 tex - 0.6-3pclos2019
- rebuild against updates

* Mon Sep 2 2019 Agent Smith <ruidobranco@yahoo.com.br> 0.6-2pclos2019
- Added dependency python3-setuptools.

* Fri Aug 30 2019 Agent Smith <ruidobranco@yahoo.com.br> 0.6-1pclos2019
- Created the package clearine with the latest sources.

